diff --git a/android/guava-tests/test/com/google/common/primitives/ShortsTest.java b/android/guava-tests/test/com/google/common/primitives/ShortsTest.java
index 0816c69..d1590c2 100644
--- a/android/guava-tests/test/com/google/common/primitives/ShortsTest.java
+++ b/android/guava-tests/test/com/google/common/primitives/ShortsTest.java
@@ -16,8 +16,6 @@
 
 package com.google.common.primitives;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Converter;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.testing.NullPointerTester;
@@ -35,7 +33,6 @@ import junit.framework.TestCase;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 @SuppressWarnings("cast") // redundant casts are intentional and harmless
 public class ShortsTest extends TestCase {
   private static final short[] EMPTY = {};
@@ -175,7 +172,6 @@ public class ShortsTest extends TestCase {
         3, Shorts.lastIndexOf(new short[] {(short) 2, (short) 3, (short) 2, (short) 3}, (short) 3));
   }
 
-  @GwtIncompatible
   public void testMax_noArgs() {
     try {
       Shorts.max();
@@ -192,7 +188,6 @@ public class ShortsTest extends TestCase {
         Shorts.max((short) 8, (short) 6, (short) 7, (short) 5, (short) 3, (short) 0, (short) 9));
   }
 
-  @GwtIncompatible
   public void testMin_noArgs() {
     try {
       Shorts.min();
@@ -238,20 +233,20 @@ public class ShortsTest extends TestCase {
             Shorts.concat(ARRAY1, ARRAY234)));
   }
 
-  @GwtIncompatible // Shorts.toByteArray
+  // Shorts.toByteArray
   public void testToByteArray() {
     assertTrue(Arrays.equals(new byte[] {0x23, 0x45}, Shorts.toByteArray((short) 0x2345)));
     assertTrue(
         Arrays.equals(new byte[] {(byte) 0xFE, (byte) 0xDC}, Shorts.toByteArray((short) 0xFEDC)));
   }
 
-  @GwtIncompatible // Shorts.fromByteArray
+  // Shorts.fromByteArray
   public void testFromByteArray() {
     assertEquals((short) 0x2345, Shorts.fromByteArray(new byte[] {0x23, 0x45}));
     assertEquals((short) 0xFEDC, Shorts.fromByteArray(new byte[] {(byte) 0xFE, (byte) 0xDC}));
   }
 
-  @GwtIncompatible // Shorts.fromByteArray
+  // Shorts.fromByteArray
   public void testFromByteArrayFails() {
     try {
       Shorts.fromByteArray(new byte[] {0x01});
@@ -260,13 +255,13 @@ public class ShortsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // Shorts.fromBytes
+  // Shorts.fromBytes
   public void testFromBytes() {
     assertEquals((short) 0x2345, Shorts.fromBytes((byte) 0x23, (byte) 0x45));
     assertEquals((short) 0xFEDC, Shorts.fromBytes((byte) 0xFE, (byte) 0xDC));
   }
 
-  @GwtIncompatible // Shorts.fromByteArray, Shorts.toByteArray
+  // Shorts.fromByteArray, Shorts.toByteArray
   public void testByteArrayRoundTrips() {
     Random r = new Random(5);
     byte[] b = new byte[Shorts.BYTES];
@@ -328,7 +323,7 @@ public class ShortsTest extends TestCase {
     Helpers.testComparator(comparator, ordered);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testLexicographicalComparatorSerializable() {
     Comparator<short[]> comparator = Shorts.lexicographicalComparator();
     assertSame(comparator, SerializableTester.reserialize(comparator));
@@ -394,7 +389,7 @@ public class ShortsTest extends TestCase {
     testSortDescending(new short[] {-1, -2, 1, 2}, 1, 3, new short[] {-1, 1, -2, 2});
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testStringConverterSerialization() {
     SerializableTester.reserializeAndAssert(Shorts.stringConverter());
   }
@@ -491,7 +486,7 @@ public class ShortsTest extends TestCase {
     assertSame(Collections.emptyList(), Shorts.asList(EMPTY));
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNulls() {
     new NullPointerTester().testAllPublicStaticMethods(Shorts.class);
   }
@@ -532,7 +527,7 @@ public class ShortsTest extends TestCase {
     assertEquals("438", converter.reverse().convert((short) 0666));
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testStringConverter_nullPointerTester() throws Exception {
     NullPointerTester tester = new NullPointerTester();
     tester.testAllPublicInstanceMethods(Shorts.stringConverter());
diff --git a/android/guava-tests/test/com/google/common/primitives/SignedBytesTest.java b/android/guava-tests/test/com/google/common/primitives/SignedBytesTest.java
index 86c2ce6..a7351ac 100644
--- a/android/guava-tests/test/com/google/common/primitives/SignedBytesTest.java
+++ b/android/guava-tests/test/com/google/common/primitives/SignedBytesTest.java
@@ -16,8 +16,6 @@
 
 package com.google.common.primitives;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.testing.NullPointerTester;
 import com.google.common.testing.SerializableTester;
@@ -31,7 +29,6 @@ import junit.framework.TestCase;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible(emulated = true)
 @SuppressWarnings("cast") // redundant casts are intentional and harmless
 public class SignedBytesTest extends TestCase {
   private static final byte[] EMPTY = {};
@@ -147,7 +144,7 @@ public class SignedBytesTest extends TestCase {
     Helpers.testComparator(comparator, ordered);
   }
 
-  @GwtIncompatible // SerializableTester
+  // SerializableTester
   public void testLexicographicalComparatorSerializable() {
     Comparator<byte[]> comparator = SignedBytes.lexicographicalComparator();
     assertSame(comparator, SerializableTester.reserialize(comparator));
@@ -183,7 +180,7 @@ public class SignedBytesTest extends TestCase {
     testSortDescending(new byte[] {-1, -2, 1, 2}, 1, 3, new byte[] {-1, 1, -2, 2});
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNulls() {
     new NullPointerTester().testAllPublicStaticMethods(SignedBytes.class);
   }
diff --git a/android/guava-tests/test/com/google/common/primitives/TestPlatform.java b/android/guava-tests/test/com/google/common/primitives/TestPlatform.java
index 094c9d7..e980bf0 100644
--- a/android/guava-tests/test/com/google/common/primitives/TestPlatform.java
+++ b/android/guava-tests/test/com/google/common/primitives/TestPlatform.java
@@ -16,9 +16,7 @@
 
 package com.google.common.primitives;
 
-import com.google.common.annotations.GwtCompatible;
 
-@GwtCompatible(emulated = true)
 class TestPlatform {
   static int reduceIterationsIfGwt(int iterations) {
     return iterations;
diff --git a/android/guava-tests/test/com/google/common/primitives/UnsignedIntegerTest.java b/android/guava-tests/test/com/google/common/primitives/UnsignedIntegerTest.java
index 04bf27d..f9f344f 100644
--- a/android/guava-tests/test/com/google/common/primitives/UnsignedIntegerTest.java
+++ b/android/guava-tests/test/com/google/common/primitives/UnsignedIntegerTest.java
@@ -14,9 +14,6 @@
 
 package com.google.common.primitives;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.testing.EqualsTester;
 import com.google.common.testing.NullPointerTester;
 import com.google.common.testing.SerializableTester;
@@ -28,7 +25,6 @@ import junit.framework.TestCase;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible(emulated = true)
 public class UnsignedIntegerTest extends TestCase {
   private static final ImmutableSet<Integer> TEST_INTS;
   private static final ImmutableSet<Long> TEST_LONGS;
@@ -106,7 +102,7 @@ public class UnsignedIntegerTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // too slow
+  // too slow
   public void testToStringRadix() {
     for (int radix = Character.MIN_RADIX; radix <= Character.MAX_RADIX; radix++) {
       for (int l : TEST_INTS) {
@@ -165,7 +161,7 @@ public class UnsignedIntegerTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // multiply
+  // multiply
   public void testTimes() {
     for (int a : TEST_INTS) {
       for (int b : TEST_INTS) {
@@ -239,7 +235,7 @@ public class UnsignedIntegerTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // too slow
+  // too slow
   public void testEquals() {
     EqualsTester equalsTester = new EqualsTester();
     for (int a : TEST_INTS) {
@@ -261,14 +257,14 @@ public class UnsignedIntegerTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // serialization
+  // serialization
   public void testSerialization() {
     for (int a : TEST_INTS) {
       SerializableTester.reserializeAndAssert(UnsignedInteger.fromIntBits(a));
     }
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNulls() {
     new NullPointerTester().testAllPublicStaticMethods(UnsignedInteger.class);
   }
diff --git a/android/guava-tests/test/com/google/common/primitives/UnsignedIntsTest.java b/android/guava-tests/test/com/google/common/primitives/UnsignedIntsTest.java
index 0d0b380..9f8c750 100644
--- a/android/guava-tests/test/com/google/common/primitives/UnsignedIntsTest.java
+++ b/android/guava-tests/test/com/google/common/primitives/UnsignedIntsTest.java
@@ -16,8 +16,6 @@ package com.google.common.primitives;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.testing.NullPointerTester;
 import java.util.Arrays;
@@ -31,7 +29,6 @@ import junit.framework.TestCase;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible(emulated = true)
 public class UnsignedIntsTest extends TestCase {
   private static final long[] UNSIGNED_INTS = {
     0L,
@@ -245,7 +242,7 @@ public class UnsignedIntsTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // Too slow in GWT (~3min fully optimized)
+  // Too slow in GWT (~3min fully optimized)
   public void testDivideRemainderEuclideanProperty() {
     // Use a seed so that the test is deterministic:
     Random r = new Random(0L);
@@ -383,7 +380,7 @@ public class UnsignedIntsTest extends TestCase {
     return UnsignedInts.join(",", values);
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNulls() {
     new NullPointerTester().testAllPublicStaticMethods(UnsignedInts.class);
   }
diff --git a/android/guava-tests/test/com/google/common/primitives/UnsignedLongTest.java b/android/guava-tests/test/com/google/common/primitives/UnsignedLongTest.java
index cfa2862..0867f04 100644
--- a/android/guava-tests/test/com/google/common/primitives/UnsignedLongTest.java
+++ b/android/guava-tests/test/com/google/common/primitives/UnsignedLongTest.java
@@ -14,9 +14,6 @@
 
 package com.google.common.primitives;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.testing.EqualsTester;
 import com.google.common.testing.NullPointerTester;
 import com.google.common.testing.SerializableTester;
@@ -28,7 +25,6 @@ import junit.framework.TestCase;
  *
  * @author Louis Wasserman
  */
-@GwtCompatible(emulated = true)
 public class UnsignedLongTest extends TestCase {
   private static final ImmutableSet<Long> TEST_LONGS;
   private static final ImmutableSet<BigInteger> TEST_BIG_INTEGERS;
@@ -120,7 +116,7 @@ public class UnsignedLongTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // too slow
+  // too slow
   public void testToStringRadix() {
     for (int radix = Character.MIN_RADIX; radix <= Character.MAX_RADIX; radix++) {
       for (long l : TEST_LONGS) {
@@ -263,7 +259,7 @@ public class UnsignedLongTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // too slow
+  // too slow
   public void testEquals() {
     EqualsTester equalsTester = new EqualsTester();
     for (long a : TEST_LONGS) {
@@ -286,14 +282,14 @@ public class UnsignedLongTest extends TestCase {
     }
   }
 
-  @GwtIncompatible // serialization
+  // serialization
   public void testSerialization() {
     for (long a : TEST_LONGS) {
       SerializableTester.reserializeAndAssert(UnsignedLong.fromLongBits(a));
     }
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNulls() {
     new NullPointerTester().testAllPublicStaticMethods(UnsignedLong.class);
   }
diff --git a/android/guava-tests/test/com/google/common/primitives/UnsignedLongsTest.java b/android/guava-tests/test/com/google/common/primitives/UnsignedLongsTest.java
index a8b7995..e98c303 100644
--- a/android/guava-tests/test/com/google/common/primitives/UnsignedLongsTest.java
+++ b/android/guava-tests/test/com/google/common/primitives/UnsignedLongsTest.java
@@ -16,8 +16,6 @@ package com.google.common.primitives;
 
 import static java.math.BigInteger.ONE;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.Helpers;
 import com.google.common.testing.NullPointerTester;
 import java.math.BigInteger;
@@ -33,7 +31,6 @@ import junit.framework.TestCase;
  * @author Brian Milch
  * @author Louis Wasserman
  */
-@GwtCompatible(emulated = true)
 public class UnsignedLongsTest extends TestCase {
   private static final long LEAST = 0L;
   private static final long GREATEST = 0xffffffffffffffffL;
@@ -193,7 +190,7 @@ public class UnsignedLongsTest extends TestCase {
     assertEquals(4, UnsignedLongs.remainder(0xfffffffffffffffeL, 5));
   }
 
-  @GwtIncompatible // Too slow in GWT (~3min fully optimized)
+  // Too slow in GWT (~3min fully optimized)
   public void testDivideRemainderEuclideanProperty() {
     // Use a seed so that the test is deterministic:
     Random r = new Random(0L);
@@ -353,7 +350,7 @@ public class UnsignedLongsTest extends TestCase {
         "184467440737095516159223372036854775808", UnsignedLongs.join("", -1, Long.MIN_VALUE));
   }
 
-  @GwtIncompatible // NullPointerTester
+  // NullPointerTester
   public void testNulls() {
     new NullPointerTester().testAllPublicStaticMethods(UnsignedLongs.class);
   }
diff --git a/android/guava-tests/test/com/google/common/reflect/AbstractInvocationHandlerTest.java b/android/guava-tests/test/com/google/common/reflect/AbstractInvocationHandlerTest.java
index 56b20bd..8cb71b4 100644
--- a/android/guava-tests/test/com/google/common/reflect/AbstractInvocationHandlerTest.java
+++ b/android/guava-tests/test/com/google/common/reflect/AbstractInvocationHandlerTest.java
@@ -18,7 +18,6 @@ package com.google.common.reflect;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.collect.ImmutableList;
 import com.google.common.testing.EqualsTester;
 import com.google.common.testing.SerializableTester;
 import java.io.Serializable;
diff --git a/android/guava-tests/test/com/google/common/reflect/AndroidIncompatible.java b/android/guava-tests/test/com/google/common/reflect/AndroidIncompatible.java
index 7dae25d..a6916f0 100644
--- a/android/guava-tests/test/com/google/common/reflect/AndroidIncompatible.java
+++ b/android/guava-tests/test/com/google/common/reflect/AndroidIncompatible.java
@@ -23,7 +23,6 @@ import static java.lang.annotation.ElementType.METHOD;
 import static java.lang.annotation.ElementType.TYPE;
 import static java.lang.annotation.RetentionPolicy.CLASS;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Retention;
 import java.lang.annotation.Target;
 
@@ -37,5 +36,4 @@ import java.lang.annotation.Target;
  */
 @Retention(CLASS)
 @Target({ANNOTATION_TYPE, CONSTRUCTOR, FIELD, METHOD, TYPE})
-@GwtCompatible
 @interface AndroidIncompatible {}
diff --git a/android/guava-tests/test/com/google/common/reflect/ClassPathTest.java b/android/guava-tests/test/com/google/common/reflect/ClassPathTest.java
index d199d1f..5426f44 100644
--- a/android/guava-tests/test/com/google/common/reflect/ClassPathTest.java
+++ b/android/guava-tests/test/com/google/common/reflect/ClassPathTest.java
@@ -21,8 +21,6 @@ import static com.google.common.base.StandardSystemProperty.PATH_SEPARATOR;
 import static com.google.common.truth.Truth.assertThat;
 
 import com.google.common.base.Joiner;
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.io.Closer;
 import com.google.common.io.Files;
 import com.google.common.io.Resources;
diff --git a/android/guava-tests/test/com/google/common/reflect/ImmutableTypeToInstanceMapTest.java b/android/guava-tests/test/com/google/common/reflect/ImmutableTypeToInstanceMapTest.java
index 064c4b5..16113ab 100644
--- a/android/guava-tests/test/com/google/common/reflect/ImmutableTypeToInstanceMapTest.java
+++ b/android/guava-tests/test/com/google/common/reflect/ImmutableTypeToInstanceMapTest.java
@@ -19,7 +19,6 @@ package com.google.common.reflect;
 import static com.google.common.collect.Maps.immutableEntry;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.testing.MapTestSuiteBuilder;
 import com.google.common.collect.testing.SampleElements;
 import com.google.common.collect.testing.TestMapGenerator;
diff --git a/android/guava-tests/test/com/google/common/reflect/InvokableTest.java b/android/guava-tests/test/com/google/common/reflect/InvokableTest.java
index f116ee2..8a352ba 100644
--- a/android/guava-tests/test/com/google/common/reflect/InvokableTest.java
+++ b/android/guava-tests/test/com/google/common/reflect/InvokableTest.java
@@ -18,8 +18,6 @@ package com.google.common.reflect;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Iterables;
 import com.google.common.testing.EqualsTester;
 import com.google.common.testing.NullPointerTester;
@@ -33,7 +31,6 @@ import java.lang.reflect.ParameterizedType;
 import java.lang.reflect.TypeVariable;
 import java.util.Collections;
 import junit.framework.TestCase;
-import org.checkerframework.checker.nullness.compatqual.NullableDecl;
 
 /**
  * Unit tests for {@link Invokable}.
diff --git a/android/guava-tests/test/com/google/common/reflect/MutableTypeToInstanceMapTest.java b/android/guava-tests/test/com/google/common/reflect/MutableTypeToInstanceMapTest.java
index cea81e3..8c632e9 100644
--- a/android/guava-tests/test/com/google/common/reflect/MutableTypeToInstanceMapTest.java
+++ b/android/guava-tests/test/com/google/common/reflect/MutableTypeToInstanceMapTest.java
@@ -19,13 +19,10 @@ package com.google.common.reflect;
 import static com.google.common.collect.Maps.immutableEntry;
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableMap;
 import com.google.common.collect.testing.MapTestSuiteBuilder;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.CollectionSize;
 import com.google.common.collect.testing.features.MapFeature;
-import com.google.common.reflect.ImmutableTypeToInstanceMapTest.TestTypeToInstanceMapGenerator;
 import java.util.Map;
 import java.util.Map.Entry;
 import junit.framework.Test;
diff --git a/android/guava-tests/test/com/google/common/reflect/TypeTokenTest.java b/android/guava-tests/test/com/google/common/reflect/TypeTokenTest.java
index 171ef49..b45d8ff 100644
--- a/android/guava-tests/test/com/google/common/reflect/TypeTokenTest.java
+++ b/android/guava-tests/test/com/google/common/reflect/TypeTokenTest.java
@@ -19,16 +19,12 @@ package com.google.common.reflect;
 import static com.google.common.truth.Truth.assertThat;
 
 import com.google.common.base.Function;
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableMap;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Maps;
 import com.google.common.primitives.Primitives;
 import com.google.common.testing.EqualsTester;
 import com.google.common.testing.NullPointerTester;
 import com.google.common.testing.SerializableTester;
 import com.google.common.truth.IterableSubject;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.io.Serializable;
 import java.lang.reflect.Constructor;
 import java.lang.reflect.Field;
@@ -1860,7 +1856,6 @@ public class TypeTokenTest extends TestCase {
     }
   }
 
-  @CanIgnoreReturnValue
   private static <T> T reserialize(T object) {
     T copy = SerializableTester.reserialize(object);
     new EqualsTester().addEqualityGroup(object, copy).testEquals();
diff --git a/android/guava-tests/test/com/google/common/util/concurrent/AbstractAbstractFutureTest.java b/android/guava-tests/test/com/google/common/util/concurrent/AbstractAbstractFutureTest.java
index f49b962..f2d6125 100644
--- a/android/guava-tests/test/com/google/common/util/concurrent/AbstractAbstractFutureTest.java
+++ b/android/guava-tests/test/com/google/common/util/concurrent/AbstractAbstractFutureTest.java
@@ -27,8 +27,6 @@ import static com.google.common.util.concurrent.TestPlatform.verifyTimedGetOnPen
 import static java.util.concurrent.TimeUnit.NANOSECONDS;
 import static java.util.concurrent.TimeUnit.SECONDS;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.util.concurrent.AbstractFutureTest.TimedWaiterThread;
 import java.util.concurrent.CancellationException;
 import java.util.concurrent.ExecutionException;
@@ -39,7 +37,6 @@ import junit.framework.TestCase;
  * Base class for tests for emulated {@link AbstractFuture} that allow subclasses to swap in a
  * different "source Future" for {@link AbstractFuture#setFuture} calls.
  */
-@GwtCompatible(emulated = true)
 abstract class AbstractAbstractFutureTest extends TestCase {
   private TestedFuture<Integer> future;
   private AbstractFuture<Integer> delegate;
@@ -358,7 +355,7 @@ abstract class AbstractAbstractFutureTest extends TestCase {
     assertEquals(1, future.get(-1, SECONDS).intValue());
   }
 
-  @GwtIncompatible // threads
+  // threads
 
   public void testOverflowTimeout() throws Exception {
     // First, sanity check that naive multiplication would really overflow to a negative number:
diff --git a/android/guava-tests/test/com/google/common/util/concurrent/AbstractFutureBenchmarks.java b/android/guava-tests/test/com/google/common/util/concurrent/AbstractFutureBenchmarks.java
index bf70aac..cbbca9e 100644
--- a/android/guava-tests/test/com/google/common/util/concurrent/AbstractFutureBenchmarks.java
+++ b/android/guava-tests/test/com/google/common/util/concurrent/AbstractFutureBenchmarks.java
@@ -18,35 +18,29 @@ package com.google.common.util.concurrent;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.concurrent.CancellationException;
 import java.util.concurrent.ExecutionException;
 import java.util.concurrent.Executor;
 import java.util.concurrent.TimeUnit;
 import java.util.concurrent.TimeoutException;
 import java.util.concurrent.locks.AbstractQueuedSynchronizer;
-import org.checkerframework.checker.nullness.compatqual.NullableDecl;
 
 /** Utilities for the AbstractFutureBenchmarks */
 final class AbstractFutureBenchmarks {
   private AbstractFutureBenchmarks() {}
 
   interface Facade<T> extends ListenableFuture<T> {
-    @CanIgnoreReturnValue
     boolean set(T t);
 
-    @CanIgnoreReturnValue
     boolean setException(Throwable t);
   }
 
   private static class NewAbstractFutureFacade<T> extends AbstractFuture<T> implements Facade<T> {
-    @CanIgnoreReturnValue
     @Override
     public boolean set(T t) {
       return super.set(t);
     }
 
-    @CanIgnoreReturnValue
     @Override
     public boolean setException(Throwable t) {
       return super.setException(t);
@@ -55,13 +49,11 @@ final class AbstractFutureBenchmarks {
 
   private static class OldAbstractFutureFacade<T> extends OldAbstractFuture<T>
       implements Facade<T> {
-    @CanIgnoreReturnValue
     @Override
     public boolean set(T t) {
       return super.set(t);
     }
 
-    @CanIgnoreReturnValue
     @Override
     public boolean setException(Throwable t) {
       return super.setException(t);
@@ -127,7 +119,6 @@ final class AbstractFutureBenchmarks {
      *     (optional but recommended).
      * @throws CancellationException {@inheritDoc}
      */
-    @CanIgnoreReturnValue
     @Override
     public V get(long timeout, TimeUnit unit)
         throws InterruptedException, TimeoutException, ExecutionException {
@@ -149,7 +140,6 @@ final class AbstractFutureBenchmarks {
      *     (optional but recommended).
      * @throws CancellationException {@inheritDoc}
      */
-    @CanIgnoreReturnValue
     @Override
     public V get() throws InterruptedException, ExecutionException {
       return sync.get();
@@ -165,7 +155,6 @@ final class AbstractFutureBenchmarks {
       return sync.isCancelled();
     }
 
-    @CanIgnoreReturnValue
     @Override
     public boolean cancel(boolean mayInterruptIfRunning) {
       if (!sync.cancel(mayInterruptIfRunning)) {
@@ -217,7 +206,6 @@ final class AbstractFutureBenchmarks {
      * @param value the value that was the result of the task.
      * @return true if the state was successfully changed.
      */
-    @CanIgnoreReturnValue
     protected boolean set(@NullableDecl V value) {
       boolean result = sync.set(value);
       if (result) {
@@ -234,7 +222,6 @@ final class AbstractFutureBenchmarks {
      * @param throwable the exception that the task failed with.
      * @return true if the state was successfully changed.
      */
-    @CanIgnoreReturnValue
     protected boolean setException(Throwable throwable) {
       boolean result = sync.setException(checkNotNull(throwable));
       if (result) {
diff --git a/android/guava-tests/test/com/google/common/util/concurrent/AbstractFutureCancellationCauseTest.java b/android/guava-tests/test/com/google/common/util/concurrent/AbstractFutureCancellationCauseTest.java
index 6c921b5..d9121bf 100644
--- a/android/guava-tests/test/com/google/common/util/concurrent/AbstractFutureCancellationCauseTest.java
+++ b/android/guava-tests/test/com/google/common/util/concurrent/AbstractFutureCancellationCauseTest.java
@@ -26,7 +26,6 @@ import java.util.concurrent.CancellationException;
 import java.util.concurrent.Executor;
 import java.util.concurrent.Future;
 import java.util.concurrent.TimeUnit;
-import javax.annotation.concurrent.GuardedBy;
 import junit.framework.TestCase;
 
 /** Tests for {@link AbstractFuture} with the cancellation cause system property set */
@@ -49,7 +48,6 @@ public class AbstractFutureCancellationCauseTest extends TestCase {
     final String concurrentPackage = SettableFuture.class.getPackage().getName();
     classReloader =
         new URLClassLoader(ClassPathUtil.getClassPathUrls()) {
-          @GuardedBy("loadedClasses")
           final Map<String, Class<?>> loadedClasses = new HashMap<>();
 
           @Override
diff --git a/android/guava-tests/test/com/google/common/util/concurrent/AbstractFutureFallbackAtomicHelperTest.java b/android/guava-tests/test/com/google/common/util/concurrent/AbstractFutureFallbackAtomicHelperTest.java
index 208cf24..3f2bf91 100644
--- a/android/guava-tests/test/com/google/common/util/concurrent/AbstractFutureFallbackAtomicHelperTest.java
+++ b/android/guava-tests/test/com/google/common/util/concurrent/AbstractFutureFallbackAtomicHelperTest.java
@@ -14,7 +14,6 @@
 
 package com.google.common.util.concurrent;
 
-import com.google.common.collect.ImmutableSet;
 import java.lang.reflect.Field;
 import java.lang.reflect.Method;
 import java.lang.reflect.Modifier;
diff --git a/android/guava-tests/test/com/google/common/util/concurrent/AbstractFutureTest.java b/android/guava-tests/test/com/google/common/util/concurrent/AbstractFutureTest.java
index e55a31e..6108732 100644
--- a/android/guava-tests/test/com/google/common/util/concurrent/AbstractFutureTest.java
+++ b/android/guava-tests/test/com/google/common/util/concurrent/AbstractFutureTest.java
@@ -19,7 +19,6 @@ package com.google.common.util.concurrent;
 import static com.google.common.truth.Truth.assertThat;
 import static com.google.common.truth.Truth.assertWithMessage;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.Iterables;
 import com.google.common.collect.Range;
 import com.google.common.collect.Sets;
@@ -839,7 +838,6 @@ public class AbstractFutureTest extends TestCase {
 
   // Verify that StackOverflowError in a long chain of SetFuture doesn't cause the entire toString
   // call to fail
-  @GwtIncompatible
   @AndroidIncompatible
   public void testSetFutureToString_stackOverflow() {
     SettableFuture<String> orig = SettableFuture.create();
diff --git a/android/guava-tests/test/com/google/common/util/concurrent/AbstractListeningExecutorServiceTest.java b/android/guava-tests/test/com/google/common/util/concurrent/AbstractListeningExecutorServiceTest.java
index 139581f..7571746 100644
--- a/android/guava-tests/test/com/google/common/util/concurrent/AbstractListeningExecutorServiceTest.java
+++ b/android/guava-tests/test/com/google/common/util/concurrent/AbstractListeningExecutorServiceTest.java
@@ -18,7 +18,6 @@ package com.google.common.util.concurrent;
 
 import static com.google.common.truth.Truth.assertThat;
 
-import com.google.common.collect.ImmutableList;
 import java.util.List;
 import java.util.concurrent.Callable;
 import java.util.concurrent.TimeUnit;
diff --git a/android/guava-tests/test/com/google/common/util/concurrent/AbstractServiceTest.java b/android/guava-tests/test/com/google/common/util/concurrent/AbstractServiceTest.java
index e3c22a8..30f09c6 100644
--- a/android/guava-tests/test/com/google/common/util/concurrent/AbstractServiceTest.java
+++ b/android/guava-tests/test/com/google/common/util/concurrent/AbstractServiceTest.java
@@ -21,12 +21,10 @@ import static com.google.common.util.concurrent.MoreExecutors.directExecutor;
 import static java.lang.Thread.currentThread;
 import static java.util.concurrent.TimeUnit.SECONDS;
 
-import com.google.common.collect.ImmutableList;
 import com.google.common.collect.Iterables;
 import com.google.common.collect.Lists;
 import com.google.common.util.concurrent.Service.Listener;
 import com.google.common.util.concurrent.Service.State;
-import com.google.errorprone.annotations.concurrent.GuardedBy;
 import java.lang.Thread.UncaughtExceptionHandler;
 import java.util.List;
 import java.util.concurrent.CountDownLatch;
@@ -831,7 +829,6 @@ public class AbstractServiceTest extends TestCase {
       this.service = service;
     }
 
-    @GuardedBy("this")
     final List<State> stateHistory = Lists.newArrayList();
 
     final CountDownLatch completionLatch = new CountDownLatch(1);
diff --git a/android/guava-tests/test/com/google/common/util/concurrent/AggregateFutureStateFallbackAtomicHelperTest.java b/android/guava-tests/test/com/google/common/util/concurrent/AggregateFutureStateFallbackAtomicHelperTest.java
index fec9394..ec40dbb 100644
--- a/android/guava-tests/test/com/google/common/util/concurrent/AggregateFutureStateFallbackAtomicHelperTest.java
+++ b/android/guava-tests/test/com/google/common/util/concurrent/AggregateFutureStateFallbackAtomicHelperTest.java
@@ -14,7 +14,6 @@
 
 package com.google.common.util.concurrent;
 
-import com.google.common.collect.ImmutableSet;
 import java.lang.reflect.Field;
 import java.lang.reflect.Method;
 import java.lang.reflect.Modifier;
